Subject: Re: Questions on cygwin filemode in WindowsXP
From: "Yufeng Xiong" <[email-masked]>
To: "Cygwin List" <[email-masked]>, "David Rothenberger" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 1 Apr 2004 11:36:08 -0500

I hate MS for this matter, why they have to have a Home version and a Pro
version,
it's all money related!

----- Original Message ----- 
From: "Larry Hall" <[email-masked]>
To: "Yufeng Xiong" <[email-masked]>; "David Rothenberger"
<[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, April 01, 2004 11:19 AM
Subject: Re: Questions on cygwin filemode in WindowsXP

> XP Home hides the permissions and doesn't provide a GUI tool for
manipulating
> them.  If you search the web, you can find folks that claim they have been
> successful at restoring the XP Pro Security tab to the GUI by playing some
> games with service packs from NT4.  But that's a different matter.
>
> Larry
>
>
> At 11:12 AM 4/1/2004, you wrote:
> >Thanks David for the help.
> >
> >The getfacl/setfacl command works fine.
> >And the setting change in xmeacs also works.
> >
> >I'm using WindowsXP @Home, it does not seem to have anything available
for
> >changing
> >file permissions from Windows itself, does anybody know how to do it ?
> >
> >Thanks.
> >
> >----- Original Message ----- 
> >From: "David Rothenberger" <[email-masked]>
> >To: "Yufeng Xiong" <[email-masked]>
> >Cc: <[email-masked]>
> >Sent: Thursday, April 01, 2004 10:15 AM
> >Subject: Re: Questions on cygwin filemode in WindowsXP
> >
> >
> >> Yufeng Xiong wrote:
> >>
> >> >1. What is the '+' in the file mode? I know it has something to do
with
> >file
> >> >permission, after
> >> >the editing, my web server/PHP does not have permission to open
test.php
> >> >anymore
> >> >
> >> I believe the "+" indicates that there are some Windows permissions
that
> >> do not map to the Unix-style user/group/other.  For example, if I
create
> >> a new file using cygwin (say, with touch), and then open the file's
> >> properties with Windows and explicitly add permission for another user
> >> to modify the file, I see the "+".
> >>
> >> >2. How do I set the '+' in mode manually? I used 'fstat' on the two
files
> >> >and it shows the exact
> >> >same mode (o100700).
> >> >
> >> Well, you can copy all the file attributes from one file (sourceFile)
to
> >> another (destFile) with a command like this:
> >>
> >> % getfacl - sourceFile | setfacl -f- destFile
> >>
> >> >3. Why xemacs changed the file mode? Could it be because of different
> >file
> >> >system?
> >> >
> >> Do "M-x customize-apropros" on "backup-by-copying".  The default
> >> behavior is to move the old file to the backup file and then create a
> >> new file.  If you set this option on (non-nil), the backup copy will be
> >> made as a copy and the original file will be modified.  This will
> >> preserve the extra file permissions on the original file (although the
> >> backup copy won't have them).
> >>
> >> HTH,
> >> Dave
> >>
> >
> >
> >--
> >Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> >Problem reports:       http://cygwin.com/problems.html
> >Documentation:         http://cygwin.com/docs.html
> >FAQ:                   http://cygwin.com/faq/
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/